# List all customers

### URI

&#x20;<mark style="color:green;background-color:green;">**GET**</mark>&#x20;

```
https://api.tryduplo.com/v1/wallets/customers?business_id=7e7e28-74a7-41ce-8a05-310e3e2eba4c&search_term=denis
```

### Parameters

#### Header

<table data-header-hidden><thead><tr><th width="362"></th><th></th></tr></thead><tbody><tr><td><strong>Authorization</strong><br><code>string</code></td><td>set value to <code>Bearer SECRET_KEY</code></td></tr></tbody></table>

#### Query Param

<table data-header-hidden><thead><tr><th width="250"></th><th></th></tr></thead><tbody><tr><td><strong>business_id</strong><br><code>string</code> <mark style="color:red;"><code>required</code></mark></td><td>Merchant Business ID</td></tr><tr><td><strong>search_term</strong><br><code>string</code></td><td>Search term</td></tr><tr><td><strong>page</strong><br><code>string</code></td><td>Specifies the current page in a list of paginated data, default is set to 1</td></tr><tr><td><strong>perPage</strong><br><code>string</code> </td><td>Specifies the number of records per page of a paginated data, default is set to 50</td></tr></tbody></table>

### Sample request

{% tabs %}
{% tab title="cURL" %}
{% code overflow="wrap" %}

```bash
curl --location --request GET 'https://api.tryduplo.com/v1/wallets/customers?business_id=7e7e0728-74a7-41ce-8a05-310e3e2eba4c&search_term=denis' \
--header 'dpmlekdno: H9srym%je4t343643' \
--header 'Authorization: Bearer dp_live_856879df3e6ecdb14a918e24bba6d480e0564a4eabfdba938fc23b820ac905e54bac25a71dbcdef66c97b8c72ca7e16cf03a576857261f2f16f5335ca5024620b14268823a7d78922cfdd97cefc61050139fd92a7a0c5840e016050552ccadbbec642d2ff8d35a09225c7ec4fd1e347b'
```

{% endcode %}
{% endtab %}

{% tab title="Node" %}
{% code overflow="wrap" lineNumbers="true" %}

```javascript
var axios = require('axios');

var config = {
  method: 'get',
  url: 'https://api.tryduplo.com/v1/wallets/customers?business_id=7e7e0728-74a7-41ce-8a05-310e3e2c&search_term=denis',
  headers: { 
    'Authorization': 'Bearer dp_live_856879df3e6ecdb14a918e24bba6d480e0564a4eabfdba938fc23b820ac905e54bac25a71dbcdef66c97b8c72ca7e16cf=1f2f16f5335ca5024620b14268823a7d78922cfdd97cefc61050139fd92a7a0c5840e016050552ccadbbec642d2ff8d35a09225c7ec4fd1e347b'
  }
};

axios(config)
.then(function (response) {
  console.log(JSON.stringify(response.data));
})
.catch(function (error) {
  console.log(error);
});

```

{% endcode %}
{% endtab %}

{% tab title="PHP" %}
{% code overflow="wrap" lineNumbers="true" %}

```php
<?php

$curl = curl_init();

curl_setopt_array($curl, array(
  CURLOPT_URL => 'https://api.tryduplo.com/v1/wallets/customers?business_id=7e7e0728-74a7-41ce-8a05-310e3e2eba4c&search_term=denis',
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => '',
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 0,
  CURLOPT_FOLLOWLOCATION => true,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => 'GET',
  CURLOPT_HTTPHEADER => array(
    'Authorization: Bearer dp_live_856879df3e6ecdb14a918e24bba6d480e0564a4eabfdba938fc23b820ac905e54bac25a71dbcdef66c97b8c72ca7e16cf03a576857261f2f16f5335ca5024620b14268823a7d78922cfdd97cefc61050139fd92a7a0c5840e016050bec642d2ff8d35a09225c7ec4fd1e347b'
  ),
));

$response = curl_exec($curl);

curl_close($curl);
echo $response;

```

{% endcode %}
{% endtab %}
{% endtabs %}

### Duplo Response

```json
{
    "data": {
        "data": [
            {
                "wallets": [
                    {
                        "currency": "NGN",
                        "ledger_balance": 0,
                        "available_balance": 0,
                        "opening_balance": 0,
                        "closing_balance": 0,
                        "is_master": false,
                        "bank_accounts": [
                            {
                                "provider": {
                                    "id": "wema",
                                    "bank_code": "111",
                                    "bank_name": "Wema Bank",
                                    "is_prefix": true,
                                    "requires_bvn": false,
                                    "prefixes": [
                                        "809"
                                    ],
                                    "fixed_amount_prefixes": [
                                        "841"
                                    ],
                                    "default": true
                                },
                                "account_number": "8090025677",
                                "account_name": "Jammie Fox"
                            }
                        ],
                        "status": "Active",
                        "notes": [],
                        "business_id": "986acd67-b306-4642-87aa-99ba512b2601",
                        "wallet_ref": "wal_vkIXjqrHwKgl",
                        "created_at": "2023-01-31T06:19:52.000Z",
                        "email": "jamefox@yopmail.com",
                        "metadata": "{}",
                        "updated_at": "2023-01-31T06:19:52.329Z",
                        "customer": "63d8b307dfbff6000d03d817"
                    }
                ],
                "first_name": "Jammie",
                "last_name": "Fox",
                "email": "jamefox@yopmail.com",
                "phone_number": "08051740868",
                "business_id": "986acd67-b306-4642-87aa-99ba512b2601",
                "customer_ref": "cus_4GR7iiAfUaRU",
                "created_at": "2023-01-31T06:19:51.555Z"
            }
        ],
        "meta": {
            "page": 1,
            "limit": 50,
            "previousPage": false,
            "nextPage": false,
            "pageCount": 1,
            "total": 1
        }
    },
    "errors": {},
    "message": "Request successful"
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.tryduplo.com/duplo-api-documentation/payment-apis/collect-payments/customers/list-all-customers.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
